{ pkgs, lib, host, ... }:
with lib;
with lib.plusultra;
{
  imports = [ ./hardware-configuration.nix ];

  plusultra = {
    base.enable = true;
    gui.enable = true;
    nix-ld.enable = true;
    nix.enable = true;
    nix.extra-substituters."https://nixsgx.cachix.org".key = "nixsgx.cachix.org-1:tGi36DlY2joNsIXOlGnSgWW0+E094V6hW0umQRo/KoE=";
    podman.enable = true;
    secureboot.enable = true;
  };

  system.autoUpgrade = {
    enable = true;
    operation = "boot";
    allowReboot = false;
    flags = [
      "--update-input"
      "nixpkgs"
      "--update-input"
      "unstable"
    ];
    flake = "git+https://git.hoyer.xyz/harald/nixcfg#${host}";
  };

  system.stateVersion = "23.11";
}
